Firefox 52 больше не поддерживает NPAPI

Mozilla прекратила поддержку
NPAPI-плагинов в Firefox

Начиная с Firefox версии 52 была прекращена поддержка NPAPI-плагинов в Firefox, кроме Adobe Flash. Среди неподдерживаемых и многочисленные плагины, обеспечивающие работу с электронной подписью.

После обновления браузера вы можете столкнуться с тем, что страница сайта предлагает вам установить плагин, хотя плагин уже установлен. Примеры таких ошибок приведены ниже:

  • Уважаемый клиент! Установите Рутокен Плагин;
  • Плагин недоступен;
  • Не установлен плагин КриптоПро;
  • Ошибка: не установлен плагин;
  • NPAPI плагин требуется этим приложением;
  • Браузер не поддерживает NPAPI-плагины;
  • Не могу загрузить плагин;
  • У Вас не установлено программное обеспечение для электронной подписи или версия вашего программного обеспечения устарела.

Причина в том, что владелец сайта использует плагин, не совместимый с новой версией Firefox 52, выпуск которой состоялся 7 марта 2017 года.
В качестве временного решения вы можете:

  1. Перейти к настройкам браузера, введя в адресной строке about:config;
  2. В открывшейся странице создать новый boolean-параметр c именем plugin.load_flash_only и значением false;
  3. Перезапустить firefox.

Временное решение перестанет действовать с момента выпуска новой версии Firefox. Чтобы сохранить возможность использовать Firefox для работы с сайтом вы можете сделать запрос в техническую поддержку оператора сайта, и уточнить о доработке, когда будет вновь обеспечена поддержка работы с Firefox.

Есть решение — плагин Blitz Smart Card Plugin с поддержкой нового Firefox

Отличным решением проблемы может стать доработка сайта для перехода на использование плагина Blitz Smart Card Plugin. Этот плагин бесплатный для использования конечными пользователями и не использует NPAPI для работы с новой версией Firefox.

Плагин Blitz Smart Card Plugin позволяет сайту работать с электронной подписью во всех популярных операционных системах (Windows, Linux, macOS), браузерах (Internet Explorer, Edge, Chrome, Firefox, Safari, Яндекс.Браузер, Спутник) и с любыми популярными в России средствами электронной подписи и криптопровайдерами. Встраивание плагина на сайт занимает считанные часы.